package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class DeleteBatchAutoStaticCommand extends
		AbstractBatchAutoStaticCommand {

	public DeleteBatchAutoStaticCommand(DataSource dataSource,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new DeleteBatchAutoHandler(getDataSource(), getBeanMetaData(),
				getPropertyTypes());
	}

	protected void setupSql() {
		setupDeleteSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupDeletePropertyTypes(propertyNames);

	}
}